描述

SAE J2602 Status Byte
In J2602, the very first byte transmitted by any node is the LIN Status Byte. It has this format:
LIN J2602 Status Byte  Bit 7 (MSB) Bit 6 Bit 5 Bit 4 Bit 3 Bit 2 Bit 1 Bit 0 (LSB)

ERR2 ERR1 ERR0 APINFO4 APINFO3 APINFO2 APINFO1 APINFO0

ERR2 ERR1 ERR0 Meaning

0 0 0 No fault detected

0 0 1 Reset

0 1 0 Reserved

0 1 1 Reserved

1 0 0 Data (loopback) Error

1 0 1 Checksum Error

1 1 0 ByteField Framing Error

1 1 1 ID Parity Error

Table 36: LIN J2602 Status Byte Meanings (BITs ERR2, ERR1, ERR0)
All these faults are "one-shot." In other words, they are only reported once and then they are cleared and not reported again until they occur again.
o    DLPL_LIN_15_002 – Ford Standard J2602 Extension

All nodes are required to report the Ford Standard J2602 Error Handling Extension
o    Ford Standard J2602 Error Handling Extension

Even though APINFO4 is called out by J2602, it is included in this list because Ford expects that all nodes continue to report these errors as long as the
error exists.

Even though APINFO0 is designated as unused, it should be set to zero in all reported status bytes

APINFO4 APINFO3 APINFO2 APINFO1 APINFO0 Meaning

0 0 0 0 unused No failure to report

1 Don't care Don't care Don't care unused Node not configured

Don't care 0 1 Don't care unused Output disabled
temporarily due to
environmental issue
(temperature, voltage),
no short. Do not use
this for load shedding.
Note that this case
should be used when
the disabling of the
output is not due to a
vehicle repairable fault.
The service manual
should indicate that
the condition was due
to the capacity of the
output being
exceeded.
Note: Currently the
LDM does use or set
this fault type.

Don't care 1 0 Don't care unused One or more outputs
disabled temporarily
due to short or open
circuit. (Load Fault)

Don't care 1 1 Don't care unused ECU fault (can be any
internal fault or an
output driver fault)

Don't care Don't care Don't care 1 unused One or more input
faults detected.Note
that this is unreliable
when the node reports
ECU fault.

Note: ECU fault can be used to indicate other major faults besides output FET and 3/3 life.
Table 37: Ford Standard Extension of LIN J2602 Status Byte

子任务:

功能 # 2785: Ford_SWER_0071_0001：Data format for first byte of L... 已关闭

功能 # 2790: Ford_SWER_0071_0002：Error Status meanings in first ... 已关闭

功能 # 2796: Ford_SWER_0071_0003：Errors are reported once in LIN... 已关闭

功能 # 2797: Ford_SWER_0071_0004：All nodes are required to repor... 已关闭

功能 # 2798: Ford_SWER_0071_0005：APINFOx should follow Ford Stan... 已关闭

功能 # 2800: Ford_SWER_0071_0006：APINFO0 should be set to zero i... 已关闭

功能 # 2811: Ford_SWER_0071_0007：APINFO0 bit map 已关闭

历史记录

#1 - 2024-10-25 10:36 - 涛 陆

完成

#2 - 2024-10-29 10:19 - 斌 徐

- 指派给 从 槐 杨 变更为 斌 徐

#3 - 2024-11-21 10:17 - 斌 徐

- 状态 从 新建 变更为 已关闭
